Bug 1460782 - Dual-monitor arrangement and primary monitor change when undocking and docking laptop
Dual-monitor arrangement and primary monitor change when undocking and dockin...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
25
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 13:31 EDT by Gary Case
Modified: 2017-12-12 05:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:38:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Case 2017-06-12 13:31:35 EDT
Description of problem:
I'm running Fedora 25 on a Lenovo ThinkPad T460s. I have it docked in a ThinkPad Ultra Dock which is connected via DisplayPort to an HP Compaq LA2206x monitor. 

When I undock and then dock my laptop, the video layout may reset. I want to have an over/under setup with the external monitor appearing above my laptop, and the external monitor should be the primary. I can set that up and it functions just fine until I undock. When I dock, the layout may change and the primary monitor may also change. 

Version-Release number of selected component (if applicable):
gnome-shell 3.22.3-1.fc25

How reproducible:
Almost every time

Steps to Reproduce:
1. Set up desired monitor layout (external monitor above the laptop monitor, set external monitor as primary)
2. Undock the laptop and do some work away from the desk
3. Dock the laptop 

Actual results:
Screen layout changes to side-by-side and the primary may or may not switch back to the laptop screen.

Expected results:
Restore the previously set up docked configuration when docking the laptop.

Additional info:
Comment 1 Fedora End Of Life 2017-11-16 14:43:07 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2017-12-12 05:38:41 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.